%define module_name URI-Fast
# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel perl(Carp.pm) perl(Data/Dumper.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/testlib.pm) perl(Pod/Select.pm) perl(Test/LeakTrace.pm) perl(Test2/V0.pm) perl(URI/Encode/XS.pm) perl(URI/Split.pm) perl(Unicode/GCString.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.55
Release: alt2
Summary: A fast(er) URI parser
Group: Development/Perl
License: perl
URL: https://github.com/sysread/URI-Fast

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JE/JEFFOBER/%{module_name}-%{version}.tar.gz

%description
`URI::Fast' is a faster alternative to the URI manpage. It is written in C and provides
basic parsing and modification of a URI.

the URI manpage is an excellent module; it is battle-tested, robust, and handles many
edge cases. As a result, it is rather slower than it would otherwise be for
more trivial cases, such as inspecting the path or updating a single query
parameter.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.pod Changes
%perl_vendor_archlib/U*
%perl_vendor_autolib/U*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 0.55-alt2
- rebuild with perl 5.38

* Sat Sep 18 2021 Igor Vlasenko <viy@altlinux.ru> 0.55-alt1
- updated by package builder

* Mon Sep 06 2021 Igor Vlasenko <viy@altlinux.ru> 0.54-alt1
- updated by package builder

* Wed Sep 01 2021 Igor Vlasenko <viy@altlinux.ru> 0.53-alt1
- updated by package builder

* Fri Aug 13 2021 Igor Vlasenko <viy@altlinux.ru> 0.51-alt1
- updated by package builder

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 0.49-alt3
- rebuild with perl 5.34.0

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 0.49-alt2
- rebuild with perl 5.30

* Sun Aug 04 2019 Igor Vlasenko <viy@altlinux.ru> 0.49-alt1
- updated by package builder

* Wed Jul 10 2019 Igor Vlasenko <viy@altlinux.ru> 0.48-alt1
- updated by package builder

* Sat Jul 06 2019 Igor Vlasenko <viy@altlinux.ru> 0.47-alt1
- updated by package builder

* Fri Feb 01 2019 Cronbuild Service <cronbuild@altlinux.org> 0.46-alt1.1
- rebuild with perl 5.28.1

* Fri Jan 04 2019 Igor Vlasenko <viy@altlinux.ru> 0.46-alt1
- regenerated from template by package builder

* Mon Dec 24 2018 Igor Vlasenko <viy@altlinux.ru> 0.45-alt1
- regenerated from template by package builder

* Sun Apr 29 2018 Igor Vlasenko <viy@altlinux.ru> 0.23-alt1
- regenerated from template by package builder

* Wed Apr 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.22-alt1
- initial import by package builder

